أكثر

لن يتم تحميل المكون الإضافي Flowmapper في QGIS برايتون

لن يتم تحميل المكون الإضافي Flowmapper في QGIS برايتون


Iyi gunler Cem Bey ، لقد قمت للتو بتثبيت QGIS 2.6 (برايتون) على جهاز الكمبيوتر (Bootcamp) الذي يعمل بنظام التشغيل Windows 7 وأود تجربة FlowMapper. ومع ذلك ، بعد أن قمت بتحميله ، تلقيت الخطأ التالي:

خطأ في تحميل البرنامج المساعد يبدو أن المكون الإضافي غير صالح أو به تبعيات لم يتم إكمالها. لقد تم تثبيته ولكن لا يمكن تحميله ... إليك رسالة الخطأ أدناه:

البرنامج المساعد معطل. قال بيثون: أسكي

هل يمكنك مساعدتي في حل هذا اللغز؟


تم الحل! إنها مشكلة وحدة تحكم PATH Python.

في QGIS Brighton / apps / Python27 / Lib / site -pack قم بإنشاء ملف osgeo.pth (Administrators) ووضعه

# .pth لامتدادات osgeo osgeo

ابدأ QGIS وقم بتثبيت flowmapper ؛)


مرحبا باشاك هانم ،

يمكنك تجربة التثبيت اليدوي إذا كنت تواجه مشكلات في التثبيت التلقائي باستخدام QGIS Plugin Manager.

تم تصميم FlowMapper ليكون متوافقًا مع أنظمة التشغيل Windows و MacOS * و Linux. وبعبارة أخرى ، لديها دعم عبر النظام الأساسي. (* لا تعمل خيارات التصفية ضمن macos ما لم يتم تثبيت تبعيات gdal / ogr)

لتثبيت FlowMapper يدويًا من فضلك انسخ مجلد FlowMapper تحت المسار المحدد لنظام التشغيل الموضح أدناه. بعد ذلك ، أعد تشغيل QGIS وقم بتمكين المكون الإضافي من مدير البرنامج المساعد.

شبابيك:
C: Users $ USERNAME.qgis2 python plugins
أو
C: Program Files QGIS Dufour apps qgis python plugins
نظام التشغيل MacOS:
./Users/$USERNAME/.qgis2/python/plugins/
أو
./usr/share/qgis/python/plugins/
لينكس:
home / $ USERNAME / .qgis2 / python / plugins /
أو
./Applications/QGIS.app/Contents/Resources/python/plugins/